In copying

   < > " & ' '

   "simple-double-three--four---"
code: '``simple-double--three---four----'''
asis: "simple-double-three--four---"
strong: *"simple-double-three--four---"*
kbd: '``simple-double--three---four----'''

   ''simple-double--three--four---''

   @"u ü (ü) @"{U} Ü (Ü) @~n ñ (ñ) @^a â (â)

   @'e é (é) @=o ō (ō) @'i ì (ì) @'{e} é (é)

   @'{@dotless{i}} í (í) @dotless{i} ı (ı) @dotless{j} ȷ (ȷ)

   '@H{a}' a̋ '@dotaccent{a}' ȧ (ȧ) '@ringaccent{a}' å (å)

   '@tieaccent{a}' a͡ '@u{a}' ă (ă) '@ubaraccent{a}' a̲

   '@udotaccent{a}' ạ (ạ) '@v{a}' ǎ (ǎ)

   @,c ç (ç) '@,{c}' ç (ç) '@ogonek{a}' ą (ą)

   @'{@=E} Ḕ @l{} ł @,{@'C} Ḉ @,c@"u çü

   '@H{--a}' -a̋ '@dotaccent{--a}' -ȧ '@ringaccent{--a}' -å

   '@tieaccent{--a}' -a͡ '@u{--a}' -ă '@ubaraccent{--a}' -a̲

   '@udotaccent{--a}' -ạ '@v{--a}' -ǎ '@,{--c}' -ç '@ogonek{--a}' -ą

   @U{0075} u

   @*
@ followed by a space   @ followed by a tab   @ followed by a new line
 '@-' '@:' '@!' !  '@?' ?  '@.' .  '@&' & '@@' @ '@}' } '@{' { '@/'

   foo vs. bar.  colon :And something else.  semi colon ;.  And ?  ?.
Now !  !@ but , ,

   @ampchar & (&) @atchar @ (@) @backslashchar \ (\) @hashchar # (#)
@lbracechar { ({) @rbracechar } (})

   @TeX TeX @LaTeX LaTeX @bullet * (•) @copyright (C) (©)

   @dots ... (…) @enddots ...  @equiv == (≡)

   @error error-> @expansion ==> (↦) @minus - (−)

   @point -!- (⋆) @print -| (⊣) @result => (⇒) @today a sunny day

   @aa å (å) @AA Å (Å) @ae æ (æ) @oe œ (œ) @AE Æ (Æ) @OE Œ (Œ) @o ø (ø)
@O Ø (Ø) @ss ß (ß) @l ł (ł) @L Ł (Ł) @DH Ð (Ð) @TH Þ (Þ) @dh ð (ð) @th þ
(þ)

   @exclamdown ¡  (¡) @questiondown ¿  (¿) @pounds £ (£)
@registeredsymbol (R) (®) @ordf ª (ª) @ordm º (º) @comma , (,)
@quotedblleft " (“) @quotedblright " (”) @quoteleft ` (‘) @quoteright '
(’) @quotedblbase „ („) @quotesinglbase ‚ (‚) @guillemetleft « («)
@guillemetright » (») @guillemotleft « («) @guillemotright » (»)
@guilsinglleft ‹ (‹) @guilsinglright › (›)

   @textdegree ° (°) @euro € (€) @arrow -> (→)

   @leq ≤ (≤) @geq ≥ (≥) @tie a b

   '@acronym{--a,an accronym}' -a (an accronym) '@acronym{--a}' -a
'@abbr{@'E--. @comma{}A., @'Etude Autonome }' É-. ,A. (Étude Autonome)
'@abbr{@'E--. @comma{}A.}' É-. ,A. '@asis{--a}' -a '@b{--a}' -a
'@cite{--a}' '-a' '@code{--a}' '--a' '@command{--a}' '--a' '@dfn{--a}'
"-a" '@dmn{--a}' -a '@email{--a,--b}' -b <--a> '@email{,--b}' -b
'@email{--a}' <--a> '@emph{--a}' _-a_ '@env{--a}' '--a' '@file{--a}'
'--a' '@i{--a}' -a '@kbd{--a}' '--a' '@key{--a}' <--a> '@math{--a
{\frac{1}{2}} @minus{}}' --a {\frac{1}{2}} - '@option{--a}' '--a'
'@r{--a}' -a '@samp{--a}' '--a' '@sc{--a}' -A '@strong{--a}' *-a*
'@t{--a}' --a '@sansserif{--a}' -a '@slanted{--a}' -a '@titlefont{--a}'
-a
**
   '@indicateurl{--a}' '--a' '@uref{--a,--b}' -b (--a) '@uref{--a}'
<--a> '@uref{,--b}' -b '@uref{--a,--b,--c}' -c '@uref{,--b,--c}' -c
'@uref{--a,,--c}' -c '@uref{,,--c}' -c '@url{--a,--b}' -b (--a)
'@url{--a,}' <--a> '@url{,--b}' -b '@var{--a}' -A '@verb{:--a:}' --a
'@verb{:a < & @ % " -- b:}' a  < & @ % " --    b '@w{a a a a a a a a a a
a a a a a a a a a a a a a a a a a a a a a a a a a}'
a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a
'a@sup{h}@sub{l}' a^{h}_{l} '@footnote{in footnote}' (1) '@footnote{in
footnote2}' (2)

   '@sp 2'

   '@page'

   'need 1002'

   '@clicksequence{click @click{} A}' click -> A After clickstyle =>
'@clicksequence{click @click{} A}' click => A

disp--laymath
f(x) = {1 \over \sigma \sqrt{2\pi}}e^{-{1 \over 2}\left({x-\mu \over \sigma}\right)^2}

*``simple-double--three---four----''* aa
``simple-double--three---four----''

ı ȷ
ł ç

a̲ ạ ą a^{h}_{l}

       ! @ } {
a sunny day

->
u
* (C) ... ... ==
error-> ==> - -| =>
Å æ œ Æ Œ ø Ø ß ł Ł Ð
Þ ð þ ¡ ¿ £
ª º ,

" "
` ' „ ‚ «
» « » ‹
› € -> ≤ ≥

b i r SC sansserif slanted

   'default kbdinputstyle'
'vtable i--tem default kbdinputstyle'
     in example default kbdinputstyle
     'vtable i--tem in example default kbdinputstyle'

   'code kbdinputstyle'
'vtable i--tem code kbdinputstyle'
     in example code kbdinputstyle
     'vtable i--tem in example code kbdinputstyle'

   'example kbdinputstyle'
'vtable i--tem example kbdinputstyle'
     in example example kbdinputstyle
     'vtable i--tem in example example kbdinputstyle'

   'distinct kbdinputstyle'
'vtable i--tem distinct kbdinputstyle'
     in example distinct kbdinputstyle
     'vtable i--tem in example distinct kbdinputstyle'

     A quot--ation

     Note: A Note

     note: A note

     Caution: Caution

     Important: Important

     Tip: a Tip

     Warning: a Warning.

     something é TeX: The something é TeX is here.

     @ at the end of line  : A @ at the end of the @quotation line.

     something, other thing: something, other thing

     Note, the note: Note, the note

     Empty:
     :

     :
     aaa quotation
                         -- _quotation author_

     indent in quotation

exdented quotation line and dash -- in quotation

     Not exdented followed by exdented
exdented quotation line

exdented quotation line
     Followed by not exdented

     quotation1
in exdented protected eol
     following
in exdented a @*
and following
     after exdented

     A small quot--ation

     Note: A small Note

     something, other thing: something, other thing

   * i-temize

   + i-tem +

   * b-ullet

   - minu-s

   _after emph_ e-mph item

   * a-n itemize line i-tem 1
   * a-n itemize line i-tem 2

     with w a-b
     with w c-d

    on a line line w a-b
    on a line line with w c-d

  1. e-numerate

  3. first third
  4. second third

  a. e-numerate

  c. first c
  d. second c

mu-ltitable headitem          another tab
--------------------------------------------------------------------------
mu-ltitable item              multitable tab
mu-ltitable item 2            multitable tab 2
lone mu-ltitable item

truc   bidule

     e--xample  some
        text

     example one arg

     example two args

     example three args

     example four args

     example five args

     The something é TeX is here.

     A @ at the end of the @example line.

     example with empty args

     example with empty and non empty args mix

     Exam---ple

Other li---ne
     not exdented

exdented  and dash --- in example
     Not exdented one
exdented two
     Not exdented two

     Example   Hoho.
          Nested Other line
     exdented nested other line

     s--mallexample

   '@noindent' after smallexample.
     $ wget 'http://savannah.gnu.org/cgi-bin/viewcvs/config/config/config.guess?rev=HEAD&content-type=text/plain'
     $ wget 'http://savannah.gnu.org/cgi-bin/viewcvs/config/config/config.sub?rev=HEAD&content-type=text/plain'
Less recent versions are also present.

     d-isplay

     s-malldisplay

     l--isp

     s--malllisp

f-ormat

s-mallformat

 -- c--ategory: d--effn_name a--rguments...
     d-effn

 -- cate--gory: de--ffn_name ar--guments more args
          even more so
     def-fn

 -- fset: I a g
 -- cmde: truc
 -- Command: log trap
 -- Command: log trap1
 -- Command: log trap2
 -- cmde: id ule truc
 -- cmde2: id i ule truc
 -- :
 -- : machin
 -- : bidule machin
 -- truc: machin
 -- truc:
 -- truc: followed by a comment
 -- :
 -- truc: a b c d e f g h i
 -- truc: deffnx before end deffn

 -- empty: deffn

 -- empty: deffn with deffnx
 -- empty: deffnx

 -- fset: I a g
 -- cmde: truc
     text in def item for second def item

 -- c--ategory: d--efvr_name
     d-efvr

 -- c--ategory: n--ame a--rguments...
     d-effn

 -- c--ategory: n--ame
     d-effn no arg

 -- c--ategory: t--ype d--eftypefn_name a--rguments...
     d-eftypefn

 -- c--ategory: t--ype d--eftypefn_name
     d-eftypefn no arg

 -- c--ategory on c--lass: t--ype d--eftypeop_name a--rguments...
     d-eftypeop

 -- c--ategory on c--lass: t--ype d--eftypeop_name
     d-eftypeop no arg

 -- c--ategory: t--ype d--eftypevr_name
     d-eftypevr

 -- c--ategory of c--lass: d--efcv_name
     d-efcv

 -- c--ategory of c--lass: d--efcv_name a--rguments...
     d-efcv with arguments

 -- c--ategory of c--lass: t--ype d--eftypecv_name
     d-eftypecv

 -- c--ategory of c--lass: t--ype d--eftypecv_name a--rguments...
     d-eftypecv with arguments

 -- c--ategory on c--lass: d--efop_name a--rguments...
     d-efop

 -- c--ategory on c--lass: d--efop_name
     d-efop no arg

 -- c--ategory: d--eftp_name a--ttributes...
     d-eftp

 -- Function: d--efun_name a--rguments...
     d-efun

 -- Macro: d--efmac_name a--rguments...
     d-efmac

 -- Special Form: d--efspec_name a--rguments...
     d-efspec

 -- Variable: d--efvar_name
     d-efvar

 -- Variable: d--efvar_name arg--var arg--var1
     d-efvar with args

 -- User Option: d--efopt_name
     d-efopt

 -- Function: t--ype d--eftypefun_name a--rguments...
     d-eftypefun

 -- Variable: t--ype d--eftypevar_name
     d-eftypevar

 -- Instance Variable of c--lass: d--efivar_name
     d-efivar

 -- Instance Variable of c--lass: t--ype d--eftypeivar_name
     d-eftypeivar

 -- Method on c--lass: d--efmethod_name a--rguments...
     d-efmethod

 -- Method on c--lass: t--ype d--eftypemethod_name a--rguments...
     d-eftypemethod

 -- Function:
          data-type2
          name2 arguments2...
     aaa2

 -- c--ategory2:
          t--ype2
          d--eftypefn_name2
     d-eftypefn no arg2

 -- c--ategory2 on c--lass2:
          t--ype2
          d--eftypeop_name2 a--rguments2...
     d-eftypeop2

 -- c--ategory2 on c--lass2:
          t--ype2
          d--eftypeop_name2
     d-eftypeop no arg2

 -- c--ategory2 of c--lass2: t--ype2 d--eftypecv_name2
     d-eftypecv2

 -- c--ategory2 of c--lass2: t--ype2 d--eftypecv_name2 a--rguments2...
     d-eftypecv with arguments2

 -- fun2: arg2
     fff2

   '@xref{c---hapter@@, cross r---ef name@@, t---itle@@, file n---ame@@,
ma---nual@@}' *Note cross r--ef name@: (file n---ame@)c---hapter@.
'@ref{chapter, cross ref name, title, file name, manual}' *note cross
ref name: (file name)chapter. '@pxref{chapter, cross ref name, title,
file name, manual}' *note cross ref name: (file name)chapter.
'@inforef{chapter, cross ref name, file name}' *note cross ref name:
(file name)chapter.

   '@ref{chapter}' *note chapter:: '@xref{chapter}' *Note chapter::.
'@pxref{chapter}' *note chapter:: '@ref{s--ect@comma{}ion}' *note
s--ect,ion::

   '@ref{s--ect@comma{}ion, a @comma{} in cross ref, a comma@comma{} in
title, a comma@comma{} in file, a @comma{} in manual name }' *note a ,
in cross ref: (a comma, in file)s--ect,ion.

   '@ref{chapter,cross ref name}' *note cross ref name: chapter.
'@ref{chapter,,title}' *note title: chapter. '@ref{chapter,,,file name}'
*note (file name)chapter:: '@ref{chapter,,,,manual}' *note ()chapter::
'@ref{chapter,cross ref name,title,}' *note cross ref name: chapter.
'@ref{chapter,cross ref name,,file name}' *note cross ref name: (file
name)chapter. '@ref{chapter,cross ref name,,,manual}' *note cross ref
name: ()chapter. '@ref{chapter,cross ref name,title,file name}' *note
cross ref name: (file name)chapter. '@ref{chapter,cross ref
name,title,,manual}' *note cross ref name: ()chapter.
'@ref{chapter,cross ref name,title, file name, manual}' *note cross ref
name: (file name)chapter. '@ref{chapter,,title,file name}' *note title:
(file name)chapter. '@ref{chapter,,title,,manual}' *note title:
()chapter. '@ref{chapter,,title, file name, manual}' *note title: (file
name)chapter. '@ref{chapter,,,file name,manual}' *note (file
name)chapter::

   '@ref{(pman)anode,cross ref name}' *note cross ref name: (pman)anode.
'@ref{(pman)anode,,title}' *note title: (pman)anode.
'@ref{(pman)anode,,,file name}' *note (file name)(pman)anode::
'@ref{(pman)anode,,,,manual}' *note ()(pman)anode::
'@ref{(pman)anode,cross ref name,title,}' *note cross ref name:
(pman)anode. '@ref{(pman)anode,cross ref name,,file name}' *note cross
ref name: (file name)(pman)anode. '@ref{(pman)anode,cross ref
name,,,manual}' *note cross ref name: ()(pman)anode.
'@ref{(pman)anode,cross ref name,title,file name}' *note cross ref name:
(file name)(pman)anode. '@ref{(pman)anode,cross ref name,title,,manual}'
*note cross ref name: ()(pman)anode. '@ref{(pman)anode,cross ref
name,title, file name, manual}' *note cross ref name: (file
name)(pman)anode. '@ref{(pman)anode,,title,file name}' *note title:
(file name)(pman)anode. '@ref{(pman)anode,,title,,manual}' *note title:
()(pman)anode. '@ref{(pman)anode,,title, file name, manual}' *note
title: (file name)(pman)anode. '@ref{(pman)anode,,,file name,manual}'
*note (file name)(pman)anode::

   '@inforef{chapter, cross ref name, file name}' *note cross ref name:
(file name)chapter. '@inforef{chapter}' *note chapter::
'@inforef{chapter, cross ref name}' *note cross ref name: chapter.
'@inforef{chapter,,file name}' *note (file name)chapter::
'@inforef{node, cross ref name, file name}' *note cross ref name: (file
name)node. '@inforef{node}' *note node:: '@inforef{node, cross ref
name}' *note cross ref name: node. '@inforef{node,,file name}' *note
(file name)node:: '@inforef{chapter, cross ref name, file name, spurious
arg}' *note cross ref name: (file name, spurious arg)chapter.

   '@inforef{s--ect@comma{}ion, a @comma{} in cross ref, a comma@comma{}
in file}' *note a , in cross ref: (a comma, in file)s--ect,ion.

   '*note chapter::'.

   *note cross ref with uref uref1 (href://http/myhost.com/index.html):
(info file with uref3 uref3 (href://http/myhost.com/index3.html))ext.
*note cross ref with uref uref1 (href://http/myhost.com/index.html):
chapter.

*a-strong*
     l-ine

a-asis
b
     l-ine

_a_
_b_
     l-ine

     Title
'a--code'
     Value-table code

     Title
'a--samp'
'a2--samp'
     Value-table samp

   c-artouche

                            Tit-le _of box_
   With title c-artouche

f-lushleft
more text

                                                            f-lushright
                                                              more text

                            ce-ntered line

   r-raggedright more text

\input texinfo @c -*-texinfo-*-

@c this file is used in tests in @verbatiminclude but not converted

@setfilename simplest.info

@node Top

This is a very simple texi manual @  <>.

@bye

in verbatim ''

majorheading
************

chapheading
***********

heading
=======

subheading
----------

subsubheading
.............

'@acronym{--a,an accronym @comma{} @enddots{}}' -a (an accronym , ...)
'@abbr{@'E--. @comma{}A., @'Etude--@comma{} @b{Autonome} }' É-. ,A.
(Étude-, Autonome) '@abbr{@'E--. @comma{}A.}' É-. ,A.

   '@math{--a@minus{} {\frac{1}{2}}}' --a- {\frac{1}{2}}

   Somehow invalid use of @,:
@, ̧
@,@"u ̧ü

   Invalid use of @':
@' ́
@'@"u ́ü

   '@|'

   @dotless{truc} truc @dotless{ij} ij '@dotless{--a}' -a '@dotless{a}'
a

   @U, without braces @U{}, with empty arg @U{z}, with non-hex arg U+z
@U{abc}, with <4 hex digits ઼ @U{FFFFFFFFFFFFFF}, value much too large
U+FFFFFFFFFFFFFF @U{110000}, value just beyond Unicode U+110000

   @TeX, but without brace TeX '@#' #

   '@w{--a}' -a

   '@image{,1--xt}'  '@image{,,2--xt}'  '@image{,,,3--xt}'

   '@image{f-ile,aze,,a--lt}' [a-lt] '@image{f-ile,,,alt@verb{:jk _" %}}' [altjk _" %@]

   '@image{f--ile}' [image src="f--ile.png" text="ggg
aaa"] '@image{f--ile,,,alt}' [image src="f--ile.png" alt="alt" text="ggg
aaa"] '@image{f--ile,,,,.e-d-xt}'
[image src="f--ile.e--xt" text="ggg
aaa"] '@image{f--ile,l--i}' [image src="f--ile.png" text="ggg
aaa"] '@image{f--ile,,l--e}' [image src="f--ile.png" text="ggg
aaa"]
'@image{f--ile,aze,az,alt,.e--xt}' [image src="f--ile.e--xt" alt="alt" text="ggg
aaa"] '@image{f--ile,aze,az,alt,' [image src="f--ile.png" alt="alt" text="ggg
aaa"]
'@image{@file{f--ile}@@@.,aze,az,alt,@file{.file ext} e--xt@}' [alt]

   '@image{f--ile,aze,az,@verb{:jk _" %@:} @b{in b "},e--xt}' [image src="f--ile.e--xt" alt="jk _\" %@ in b \"" text="ggg
aaa"]
'@image{file@verb{:jk _" %@:},,,alt@verb{:jk _" %@:}}' [altjk _" %@]

ü Ü ñ â é ō ì é Ḕ
Ḉ Ḉ a̋ ȧ å a͡
ă ǎ
 ? .

TeX LaTeX -!- å (R) °

t

   __ e-mph item

   __ after emph e-mph item

   * a-n itemize line i-tem 1
   * a-n itemize line i-tem 2

     without brace w a-b
     without brace w c-d

a
     l-ine

a-missing style formatting
     l-ine

a
b
     l-ine

 -- fun:
 -- truc: machin bidule chose and
 -- truc: machin bidule chose and after
 -- truc: machin bidule chose and
 -- truc: machin bidule chose and and after
 -- truc: followed by a comment
     Various deff lines
 -- truc: after a deff item

 -- fsetinv: INVALID a g
 -- id i ule:
 -- aaa:
 -- :
 -- truc:

   g-roupe

   '@ref{node}' *note node::

   '@ref{,cross ref name}' *note cross ref name: . '@ref{,,title}' *note
title: . '@ref{,,,file name}' *note (file name):: '@ref{,,,,manual}'
*note ():: '@ref{node,cross ref name}' *note cross ref name: node.
'@ref{node,,title}' *note title: node. '@ref{node,,,file name}' *note
(file name)node:: '@ref{node,,,,manual}' *note ()node:: '@ref{node,cross
ref name,title,}' *note cross ref name: node. '@ref{node,cross ref
name,,file name}' *note cross ref name: (file name)node.
'@ref{node,cross ref name,,,manual}' *note cross ref name: ()node.
'@ref{node,cross ref name,title,file name}' *note cross ref name: (file
name)node. '@ref{node,cross ref name,title,,manual}' *note cross ref
name: ()node. '@ref{node,cross ref name,title, file name, manual}' *note
cross ref name: (file name)node. '@ref{node,,title,file name}' *note
title: (file name)node. '@ref{node,,title,,manual}' *note title: ()node.
'@ref{chapter,,title, file name, manual}' *note title: (file
name)chapter. '@ref{node,,title, file name, manual}' *note title: (file
name)node. '@ref{node,,,file name,manual}' *note (file name)node::
'@ref{,cross ref name,title,}' *note cross ref name: . '@ref{,cross ref
name,,file name}' *note cross ref name: (file name). '@ref{,cross ref
name,,,manual}' *note cross ref name: (). '@ref{,cross ref
name,title,file name}' *note cross ref name: (file name). '@ref{,cross
ref name,title,,manual}' *note cross ref name: (). '@ref{,cross ref
name,title, file name, manual}' *note cross ref name: (file name).
'@ref{,,title,file name}' *note title: (file name).
'@ref{,,title,,manual}' *note title: (). '@ref{,,title, file name,
manual}' *note title: (file name). '@ref{,,,file name,manual}' *note
(file name)::

   '@inforef{,cross ref name }' *note cross ref name: . '@inforef{,,file
name}' *note (file name):: '@inforef{,cross ref name, file name}' *note
cross ref name: (file name). '@inforef{}' *note ::

   ---------- Footnotes ----------

   (1) in footnote

   (2) in footnote2

Top section
***********

Menu comment

1 chapter
*********

   First para

qsddsqkdsqkkmljsqjsqodmmdsqdsmqj dqs sdq sqd sdq dsq sdq sqd sqd sdq sdq
qsd dsq sdq dsq dssdq sdq sdq sdq dsq sdq dsq dsq sdq dsq sdqsd q

noindent in para.

   unneeded indent

   Insertcopying in normal text
   In copying

   < > " & ' '

   "simple-double-three--four---"
code: '``simple-double--three---four----'''
asis: "simple-double-three--four---"
strong: *"simple-double-three--four---"*
kbd: '``simple-double--three---four----'''

   ''simple-double--three--four---''

   @"u ü (ü) @"{U} Ü (Ü) @~n ñ (ñ) @^a â (â)

   @'e é (é) @=o ō (ō) @'i ì (ì) @'{e} é (é)

   @'{@dotless{i}} í (í) @dotless{i} ı (ı) @dotless{j} ȷ (ȷ)

   '@H{a}' a̋ '@dotaccent{a}' ȧ (ȧ) '@ringaccent{a}' å (å)

   '@tieaccent{a}' a͡ '@u{a}' ă (ă) '@ubaraccent{a}' a̲

   '@udotaccent{a}' ạ (ạ) '@v{a}' ǎ (ǎ)

   @,c ç (ç) '@,{c}' ç (ç) '@ogonek{a}' ą (ą)

   @'{@=E} Ḕ @l{} ł @,{@'C} Ḉ @,c@"u çü

   '@H{--a}' -a̋ '@dotaccent{--a}' -ȧ '@ringaccent{--a}' -å

   '@tieaccent{--a}' -a͡ '@u{--a}' -ă '@ubaraccent{--a}' -a̲

   '@udotaccent{--a}' -ạ '@v{--a}' -ǎ '@,{--c}' -ç '@ogonek{--a}' -ą

   @U{0075} u

   @*
@ followed by a space   @ followed by a tab   @ followed by a new line
 '@-' '@:' '@!' !  '@?' ?  '@.' .  '@&' & '@@' @ '@}' } '@{' { '@/'

   foo vs. bar.  colon :And something else.  semi colon ;.  And ?  ?.
Now !  !@ but , ,

   @ampchar & (&) @atchar @ (@) @backslashchar \ (\) @hashchar # (#)
@lbracechar { ({) @rbracechar } (})

   @TeX TeX @LaTeX LaTeX @bullet * (•) @copyright (C) (©)

   @dots ... (…) @enddots ...  @equiv == (≡)

   @error error-> @expansion ==> (↦) @minus - (−)

   @point -!- (⋆) @print -| (⊣) @result => (⇒) @today a sunny day

   @aa å (å) @AA Å (Å) @ae æ (æ) @oe œ (œ) @AE Æ (Æ) @OE Œ (Œ) @o ø (ø)
@O Ø (Ø) @ss ß (ß) @l ł (ł) @L Ł (Ł) @DH Ð (Ð) @TH Þ (Þ) @dh ð (ð) @th þ
(þ)

   @exclamdown ¡  (¡) @questiondown ¿  (¿) @pounds £ (£)
@registeredsymbol (R) (®) @ordf ª (ª) @ordm º (º) @comma , (,)
@quotedblleft " (“) @quotedblright " (”) @quoteleft ` (‘) @quoteright '
(’) @quotedblbase „ („) @quotesinglbase ‚ (‚) @guillemetleft « («)
@guillemetright » (») @guillemotleft « («) @guillemotright » (»)
@guilsinglleft ‹ (‹) @guilsinglright › (›)

   @textdegree ° (°) @euro € (€) @arrow -> (→)

   @leq ≤ (≤) @geq ≥ (≥) @tie a b

   '@acronym{--a,an accronym}' -a (an accronym) '@acronym{--a}' -a
'@abbr{@'E--. @comma{}A., @'Etude Autonome }' É-. ,A. (Étude Autonome)
'@abbr{@'E--. @comma{}A.}' É-. ,A. '@asis{--a}' -a '@b{--a}' -a
'@cite{--a}' '-a' '@code{--a}' '--a' '@command{--a}' '--a' '@dfn{--a}'
"-a" '@dmn{--a}' -a '@email{--a,--b}' -b <--a> '@email{,--b}' -b
'@email{--a}' <--a> '@emph{--a}' _-a_ '@env{--a}' '--a' '@file{--a}'
'--a' '@i{--a}' -a '@kbd{--a}' '--a' '@key{--a}' <--a> '@math{--a
{\frac{1}{2}} @minus{}}' --a {\frac{1}{2}} - '@option{--a}' '--a'
'@r{--a}' -a '@samp{--a}' '--a' '@sc{--a}' -A '@strong{--a}' *-a*
'@t{--a}' --a '@sansserif{--a}' -a '@slanted{--a}' -a '@titlefont{--a}'
-a
**
   '@indicateurl{--a}' '--a' '@uref{--a,--b}' -b (--a) '@uref{--a}'
<--a> '@uref{,--b}' -b '@uref{--a,--b,--c}' -c '@uref{,--b,--c}' -c
'@uref{--a,,--c}' -c '@uref{,,--c}' -c '@url{--a,--b}' -b (--a)
'@url{--a,}' <--a> '@url{,--b}' -b '@var{--a}' -A '@verb{:--a:}' --a
'@verb{:a < & @ % " -- b:}' a  < & @ % " --    b '@w{a a a a a a a a a a
a a a a a a a a a a a a a a a a a a a a a a a a a}'
a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a
'a@sup{h}@sub{l}' a^{h}_{l} '@footnote{in footnote}' (1) '@footnote{in
footnote2}' (2)

   '@sp 2'

   '@page'

   'need 1002'

   '@clicksequence{click @click{} A}' click -> A After clickstyle =>
'@clicksequence{click @click{} A}' click => A

disp--laymath
f(x) = {1 \over \sigma \sqrt{2\pi}}e^{-{1 \over 2}\left({x-\mu \over \sigma}\right)^2}

*``simple-double--three---four----''* aa
``simple-double--three---four----''

ı ȷ
ł ç

a̲ ạ ą a^{h}_{l}

       ! @ } {
a sunny day

->
u
* (C) ... ... ==
error-> ==> - -| =>
Å æ œ Æ Œ ø Ø ß ł Ł Ð
Þ ð þ ¡ ¿ £
ª º ,

" "
` ' „ ‚ «
» « » ‹
› € -> ≤ ≥

b i r SC sansserif slanted

   'default kbdinputstyle'
'vtable i--tem default kbdinputstyle'
     in example default kbdinputstyle
     'vtable i--tem in example default kbdinputstyle'

   'code kbdinputstyle'
'vtable i--tem code kbdinputstyle'
     in example code kbdinputstyle
     'vtable i--tem in example code kbdinputstyle'

   'example kbdinputstyle'
'vtable i--tem example kbdinputstyle'
     in example example kbdinputstyle
     'vtable i--tem in example example kbdinputstyle'

   'distinct kbdinputstyle'
'vtable i--tem distinct kbdinputstyle'
     in example distinct kbdinputstyle
     'vtable i--tem in example distinct kbdinputstyle'

     A quot--ation

     Note: A Note

     note: A note

     Caution: Caution

     Important: Important

     Tip: a Tip

     Warning: a Warning.

     something é TeX: The something é TeX is here.

     @ at the end of line  : A @ at the end of the @quotation line.

     something, other thing: something, other thing

     Note, the note: Note, the note

     Empty:
     :

     :
     aaa quotation
                         -- _quotation author_

     indent in quotation

exdented quotation line and dash -- in quotation

     Not exdented followed by exdented
exdented quotation line

exdented quotation line
     Followed by not exdented

     quotation1
in exdented protected eol
     following
in exdented a @*
and following
     after exdented

     A small quot--ation

     Note: A small Note

     something, other thing: something, other thing

   * i-temize

   + i-tem +

   * b-ullet

   - minu-s

   _after emph_ e-mph item

   * a-n itemize line i-tem 1
   * a-n itemize line i-tem 2

     with w a-b
     with w c-d

    on a line line w a-b
    on a line line with w c-d

  1. e-numerate

  3. first third
  4. second third

  a. e-numerate

  c. first c
  d. second c

mu-ltitable headitem          another tab
--------------------------------------------------------------------------
mu-ltitable item              multitable tab
mu-ltitable item 2            multitable tab 2
lone mu-ltitable item

truc   bidule

     e--xample  some
        text

     example one arg

     example two args

     example three args

     example four args

     example five args

     The something é TeX is here.

     A @ at the end of the @example line.

     example with empty args

     example with empty and non empty args mix

     Exam---ple

Other li---ne
     not exdented

exdented  and dash --- in example
     Not exdented one
exdented two
     Not exdented two

     Example   Hoho.
          Nested Other line
     exdented nested other line

     s--mallexample

   '@noindent' after smallexample.
     $ wget 'http://savannah.gnu.org/cgi-bin/viewcvs/config/config/config.guess?rev=HEAD&content-type=text/plain'
     $ wget 'http://savannah.gnu.org/cgi-bin/viewcvs/config/config/config.sub?rev=HEAD&content-type=text/plain'
Less recent versions are also present.

     d-isplay

     s-malldisplay

     l--isp

     s--malllisp

f-ormat

s-mallformat

 -- c--ategory: d--effn_name a--rguments...
     d-effn

 -- cate--gory: de--ffn_name ar--guments more args
          even more so
     def-fn

 -- fset: I a g
 -- cmde: truc
 -- Command: log trap
 -- Command: log trap1
 -- Command: log trap2
 -- cmde: id ule truc
 -- cmde2: id i ule truc
 -- :
 -- : machin
 -- : bidule machin
 -- truc: machin
 -- truc:
 -- truc: followed by a comment
 -- :
 -- truc: a b c d e f g h i
 -- truc: deffnx before end deffn

 -- empty: deffn

 -- empty: deffn with deffnx
 -- empty: deffnx

 -- fset: I a g
 -- cmde: truc
     text in def item for second def item

 -- c--ategory: d--efvr_name
     d-efvr

 -- c--ategory: n--ame a--rguments...
     d-effn

 -- c--ategory: n--ame
     d-effn no arg

 -- c--ategory: t--ype d--eftypefn_name a--rguments...
     d-eftypefn

 -- c--ategory: t--ype d--eftypefn_name
     d-eftypefn no arg

 -- c--ategory on c--lass: t--ype d--eftypeop_name a--rguments...
     d-eftypeop

 -- c--ategory on c--lass: t--ype d--eftypeop_name
     d-eftypeop no arg

 -- c--ategory: t--ype d--eftypevr_name
     d-eftypevr

 -- c--ategory of c--lass: d--efcv_name
     d-efcv

 -- c--ategory of c--lass: d--efcv_name a--rguments...
     d-efcv with arguments

 -- c--ategory of c--lass: t--ype d--eftypecv_name
     d-eftypecv

 -- c--ategory of c--lass: t--ype d--eftypecv_name a--rguments...
     d-eftypecv with arguments

 -- c--ategory on c--lass: d--efop_name a--rguments...
     d-efop

 -- c--ategory on c--lass: d--efop_name
     d-efop no arg

 -- c--ategory: d--eftp_name a--ttributes...
     d-eftp

 -- Function: d--efun_name a--rguments...
     d-efun

 -- Macro: d--efmac_name a--rguments...
     d-efmac

 -- Special Form: d--efspec_name a--rguments...
     d-efspec

 -- Variable: d--efvar_name
     d-efvar

 -- Variable: d--efvar_name arg--var arg--var1
     d-efvar with args

 -- User Option: d--efopt_name
     d-efopt

 -- Function: t--ype d--eftypefun_name a--rguments...
     d-eftypefun

 -- Variable: t--ype d--eftypevar_name
     d-eftypevar

 -- Instance Variable of c--lass: d--efivar_name
     d-efivar

 -- Instance Variable of c--lass: t--ype d--eftypeivar_name
     d-eftypeivar

 -- Method on c--lass: d--efmethod_name a--rguments...
     d-efmethod

 -- Method on c--lass: t--ype d--eftypemethod_name a--rguments...
     d-eftypemethod

 -- Function:
          data-type2
          name2 arguments2...
     aaa2

 -- c--ategory2:
          t--ype2
          d--eftypefn_name2
     d-eftypefn no arg2

 -- c--ategory2 on c--lass2:
          t--ype2
          d--eftypeop_name2 a--rguments2...
     d-eftypeop2

 -- c--ategory2 on c--lass2:
          t--ype2
          d--eftypeop_name2
     d-eftypeop no arg2

 -- c--ategory2 of c--lass2: t--ype2 d--eftypecv_name2
     d-eftypecv2

 -- c--ategory2 of c--lass2: t--ype2 d--eftypecv_name2 a--rguments2...
     d-eftypecv with arguments2

 -- fun2: arg2
     fff2

   '@xref{c---hapter@@, cross r---ef name@@, t---itle@@, file n---ame@@,
ma---nual@@}' cross r--ef name@.
'@ref{chapter, cross ref name, title, file name, manual}' cross ref name.
'@pxref{chapter, cross ref name, title,
file name, manual}' cross ref name.
'@inforef{chapter, cross ref name, file name}' cross ref name.

   '@ref{chapter}' chapter '@xref{chapter}' chapter.
'@pxref{chapter}' chapter '@ref{s--ect@comma{}ion}'
s--ect,ion

   '@ref{s--ect@comma{}ion, a @comma{} in cross ref, a comma@comma{} in
title, a comma@comma{} in file, a @comma{} in manual name }' a , in cross ref,
ion^?.

   '@ref{chapter,cross ref name}' cross ref name.
'@ref{chapter,,title}' title. '@ref{chapter,,,file name}'
(file name)chapter '@ref{chapter,,,,manual}' ()chapter
'@ref{chapter,cross ref name,title,}' cross ref name.
'@ref{chapter,cross ref name,,file name}' cross ref name.
'@ref{chapter,cross ref name,,,manual}' cross ref name.
'@ref{chapter,cross ref name,title,file name}'
cross ref name. '@ref{chapter,cross ref
name,title,,manual}' cross ref name.
'@ref{chapter,cross ref name,title, file name, manual}' cross ref name.
'@ref{chapter,,title,file name}' title.
'@ref{chapter,,title,,manual}' title.
'@ref{chapter,,title, file name, manual}' title.
'@ref{chapter,,,file name,manual}' (file name)chapter

   '@ref{(pman)anode,cross ref name}' cross ref name (pman).
'@ref{(pman)anode,,title}' title (pman).
'@ref{(pman)anode,,,file name}' (file name)(pman)anode
'@ref{(pman)anode,,,,manual}' ()(pman)anode
'@ref{(pman)anode,cross ref name,title,}' cross ref name (pman).
'@ref{(pman)anode,cross ref name,,file name}' cross ref name.
'@ref{(pman)anode,cross ref
name,,,manual}' cross ref name.
'@ref{(pman)anode,cross ref name,title,file name}' cross ref name.
'@ref{(pman)anode,cross ref name,title,,manual}'
cross ref name. '@ref{(pman)anode,cross ref
name,title, file name, manual}' cross ref name.
'@ref{(pman)anode,,title,file name}' title.
'@ref{(pman)anode,,title,,manual}' title.
'@ref{(pman)anode,,title, file name, manual}'
title. '@ref{(pman)anode,,,file name,manual}'
(file name)(pman)anode

   '@inforef{chapter, cross ref name, file name}' cross ref name.
'@inforef{chapter}' chapter
'@inforef{chapter, cross ref name}' cross ref name.
'@inforef{chapter,,file name}' (file name)chapter
'@inforef{node, cross ref name, file name}' cross ref name.
'@inforef{node}' node '@inforef{node, cross ref
name}' cross ref name. '@inforef{node,,file name}'
(file name)node '@inforef{chapter, cross ref name, file name, spurious
arg}' cross ref name.

   '@inforef{s--ect@comma{}ion, a @comma{} in cross ref, a comma@comma{}
in file}' a , in cross ref,ion^?.

   'chapter'.

   See ^?cross ref with uref uref1 (href.com/index.html)^?:
(info file with uref3 uref3 (href://http/myhost.com/index3.html))ext.
See ^?cross ref with uref uref1 (href.com/index.html)^?:
chapter.

*a-strong*
     l-ine

a-asis
b
     l-ine

_a_
_b_
     l-ine

     Title
'a--code'
     Value-table code

     Title
'a--samp'
'a2--samp'
     Value-table samp

   c-artouche

                            Tit-le _of box_
   With title c-artouche

f-lushleft
more text

                                                            f-lushright
                                                              more text

                            ce-ntered line

   r-raggedright more text

\input texinfo @c -*-texinfo-*-

@c this file is used in tests in @verbatiminclude but not converted

@setfilename simplest.info

@node Top

This is a very simple texi manual @  <>.

@bye

in verbatim ''

majorheading
************

chapheading
***********

heading
=======

subheading
----------

subsubheading
.............

'@acronym{--a,an accronym @comma{} @enddots{}}' -a (an accronym , ...)
'@abbr{@'E--. @comma{}A., @'Etude--@comma{} @b{Autonome} }' É-. ,A.
(Étude-, Autonome) '@abbr{@'E--. @comma{}A.}' É-. ,A.

   '@math{--a@minus{} {\frac{1}{2}}}' --a- {\frac{1}{2}}

   Somehow invalid use of @,:
@, ̧
@,@"u ̧ü

   Invalid use of @':
@' ́
@'@"u ́ü

   '@|'

   @dotless{truc} truc @dotless{ij} ij '@dotless{--a}' -a '@dotless{a}'
a

   @U, without braces @U{}, with empty arg @U{z}, with non-hex arg U+z
@U{abc}, with <4 hex digits ઼ @U{FFFFFFFFFFFFFF}, value much too large
U+FFFFFFFFFFFFFF @U{110000}, value just beyond Unicode U+110000

   @TeX, but without brace TeX '@#' #

   '@w{--a}' -a

   '@image{,1--xt}'  '@image{,,2--xt}'  '@image{,,,3--xt}'

   '@image{f-ile,aze,,a--lt}' [a-lt] '@image{f-ile,,,alt@verb{:jk _" %}}' [altjk _" %@]

   '@image{f--ile}'  '@image{f--ile,,,alt}'  '@image{f--ile,,,,.e-d-xt}'
 '@image{f--ile,l--i}'  '@image{f--ile,,l--e}'
'@image{f--ile,aze,az,alt,.e--xt}'  '@image{f--ile,aze,az,alt,'
'@image{@file{f--ile}@@@.,aze,az,alt,@file{.file ext} e--xt@}' [alt]

   '@image{f--ile,aze,az,@verb{:jk _" %@:} @b{in b "},e--xt}'
'@image{file@verb{:jk _" %@:},,,alt@verb{:jk _" %@:}}' [altjk _" %@]

ü Ü ñ â é ō ì é Ḕ
Ḉ Ḉ a̋ ȧ å a͡
ă ǎ
 ? .

TeX LaTeX -!- å (R) °

t

   __ e-mph item

   __ after emph e-mph item

   * a-n itemize line i-tem 1
   * a-n itemize line i-tem 2

     without brace w a-b
     without brace w c-d

a
     l-ine

a-missing style formatting
     l-ine

a
b
     l-ine

 -- fun:
 -- truc: machin bidule chose and
 -- truc: machin bidule chose and after
 -- truc: machin bidule chose and
 -- truc: machin bidule chose and and after
 -- truc: followed by a comment
     Various deff lines
 -- truc: after a deff item

 -- fsetinv: INVALID a g
 -- id i ule:
 -- aaa:
 -- :
 -- truc:

   g-roupe

   '@ref{node}' node

   '@ref{,cross ref name}' cross ref name. '@ref{,,title}'
title. '@ref{,,,file name}' (file name) '@ref{,,,,manual}'
() '@ref{node,cross ref name}' cross ref name.
'@ref{node,,title}' title. '@ref{node,,,file name}'
(file name)node '@ref{node,,,,manual}' ()node '@ref{node,cross
ref name,title,}' cross ref name. '@ref{node,cross ref
name,,file name}' cross ref name.
'@ref{node,cross ref name,,,manual}' cross ref name.
'@ref{node,cross ref name,title,file name}' cross ref name.
'@ref{node,cross ref name,title,,manual}' cross ref name.
'@ref{node,cross ref name,title, file name, manual}'
cross ref name. '@ref{node,,title,file name}'
title. '@ref{node,,title,,manual}' title.
'@ref{chapter,,title, file name, manual}' title.
'@ref{node,,title, file name, manual}' title.
'@ref{node,,,file name,manual}' (file name)node
'@ref{,cross ref name,title,}' cross ref name. '@ref{,cross ref
name,,file name}' cross ref name. '@ref{,cross ref
name,,,manual}' cross ref name. '@ref{,cross ref
name,title,file name}' cross ref name. '@ref{,cross
ref name,title,,manual}' cross ref name. '@ref{,cross ref
name,title, file name, manual}' cross ref name.
'@ref{,,title,file name}' title.
'@ref{,,title,,manual}' title. '@ref{,,title, file name,
manual}' title. '@ref{,,,file name,manual}'
(file name)

   '@inforef{,cross ref name }' cross ref name. '@inforef{,,file
name}' (file name) '@inforef{,cross ref name, file name}'
cross ref name. '@inforef{}' *note ::

   Normal text

   < > " & ' '

   "simple-double-three--four---"
code: '``simple-double--three---four----'''
asis: "simple-double-three--four---"
strong: *"simple-double-three--four---"*
kbd: '``simple-double--three---four----'''

   ''simple-double--three--four---''

   @"u ü (ü) @"{U} Ü (Ü) @~n ñ (ñ) @^a â (â)

   @'e é (é) @=o ō (ō) @'i ì (ì) @'{e} é (é)

   @'{@dotless{i}} í (í) @dotless{i} ı (ı) @dotless{j} ȷ (ȷ)

   '@H{a}' a̋ '@dotaccent{a}' ȧ (ȧ) '@ringaccent{a}' å (å)

   '@tieaccent{a}' a͡ '@u{a}' ă (ă) '@ubaraccent{a}' a̲

   '@udotaccent{a}' ạ (ạ) '@v{a}' ǎ (ǎ)

   @,c ç (ç) '@,{c}' ç (ç) '@ogonek{a}' ą (ą)

   @'{@=E} Ḕ @l{} ł @,{@'C} Ḉ @,c@"u çü

   '@H{--a}' -a̋ '@dotaccent{--a}' -ȧ '@ringaccent{--a}' -å

   '@tieaccent{--a}' -a͡ '@u{--a}' -ă '@ubaraccent{--a}' -a̲

   '@udotaccent{--a}' -ạ '@v{--a}' -ǎ '@,{--c}' -ç '@ogonek{--a}' -ą

   @U{0075} u

   @*
@ followed by a space   @ followed by a tab   @ followed by a new line
 '@-' '@:' '@!' !  '@?' ?  '@.' .  '@&' & '@@' @ '@}' } '@{' { '@/'

   foo vs. bar.  colon :And something else.  semi colon ;.  And ?  ?.
Now !  !@ but , ,

   @ampchar & (&) @atchar @ (@) @backslashchar \ (\) @hashchar # (#)
@lbracechar { ({) @rbracechar } (})

   @TeX TeX @LaTeX LaTeX @bullet * (•) @copyright (C) (©)

   @dots ... (…) @enddots ...  @equiv == (≡)

   @error error-> @expansion ==> (↦) @minus - (−)

   @point -!- (⋆) @print -| (⊣) @result => (⇒) @today a sunny day

   @aa å (å) @AA Å (Å) @ae æ (æ) @oe œ (œ) @AE Æ (Æ) @OE Œ (Œ) @o ø (ø)
@O Ø (Ø) @ss ß (ß) @l ł (ł) @L Ł (Ł) @DH Ð (Ð) @TH Þ (Þ) @dh ð (ð) @th þ
(þ)

   @exclamdown ¡  (¡) @questiondown ¿  (¿) @pounds £ (£)
@registeredsymbol (R) (®) @ordf ª (ª) @ordm º (º) @comma , (,)
@quotedblleft " (“) @quotedblright " (”) @quoteleft ` (‘) @quoteright '
(’) @quotedblbase „ („) @quotesinglbase ‚ (‚) @guillemetleft « («)
@guillemetright » (») @guillemotleft « («) @guillemotright » (»)
@guilsinglleft ‹ (‹) @guilsinglright › (›)

   @textdegree ° (°) @euro € (€) @arrow -> (→)

   @leq ≤ (≤) @geq ≥ (≥) @tie a b

   '@acronym{--a,an accronym}' -a (an accronym) '@acronym{--a}' -a
'@abbr{@'E--. @comma{}A., @'Etude Autonome }' É-. ,A. (Étude Autonome)
'@abbr{@'E--. @comma{}A.}' É-. ,A. '@asis{--a}' -a '@b{--a}' -a
'@cite{--a}' '-a' '@code{--a}' '--a' '@command{--a}' '--a' '@dfn{--a}'
"-a" '@dmn{--a}' -a '@email{--a,--b}' -b <--a> '@email{,--b}' -b
'@email{--a}' <--a> '@emph{--a}' _-a_ '@env{--a}' '--a' '@file{--a}'
'--a' '@i{--a}' -a '@kbd{--a}' '--a' '@key{--a}' <--a> '@math{--a
{\frac{1}{2}} @minus{}}' --a {\frac{1}{2}} - '@option{--a}' '--a'
'@r{--a}' -a '@samp{--a}' '--a' '@sc{--a}' -A '@strong{--a}' *-a*
'@t{--a}' --a '@sansserif{--a}' -a '@slanted{--a}' -a '@titlefont{--a}'
-a
**
   '@indicateurl{--a}' '--a' '@uref{--a,--b}' -b (--a) '@uref{--a}'
<--a> '@uref{,--b}' -b '@uref{--a,--b,--c}' -c '@uref{,--b,--c}' -c
'@uref{--a,,--c}' -c '@uref{,,--c}' -c '@url{--a,--b}' -b (--a)
'@url{--a,}' <--a> '@url{,--b}' -b '@var{--a}' -A '@verb{:--a:}' --a
'@verb{:a < & @ % " -- b:}' a  < & @ % " --    b '@w{a a a a a a a a a a
a a a a a a a a a a a a a a a a a a a a a a a a a}'
a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a
'a@sup{h}@sub{l}' a^{h}_{l} '@footnote{in footnote}' (3) '@footnote{in
footnote2}' (4)

   '@sp 2'

   '@page'

   'need 1002'

   '@clicksequence{click @click{} A}' click -> A After clickstyle =>
'@clicksequence{click @click{} A}' click => A

disp--laymath
f(x) = {1 \over \sigma \sqrt{2\pi}}e^{-{1 \over 2}\left({x-\mu \over \sigma}\right)^2}

*``simple-double--three---four----''* aa
``simple-double--three---four----''

ı ȷ
ł ç

a̲ ạ ą a^{h}_{l}

       ! @ } {
a sunny day

->
u
* (C) ... ... ==
error-> ==> - -| =>
Å æ œ Æ Œ ø Ø ß ł Ł Ð
Þ ð þ ¡ ¿ £
ª º ,

" "
` ' „ ‚ «
» « » ‹
› € -> ≤ ≥

b i r SC sansserif slanted

   'default kbdinputstyle'
'vtable i--tem default kbdinputstyle'
     in example default kbdinputstyle
     'vtable i--tem in example default kbdinputstyle'

   'code kbdinputstyle'
'vtable i--tem code kbdinputstyle'
     in example code kbdinputstyle
     'vtable i--tem in example code kbdinputstyle'

   'example kbdinputstyle'
'vtable i--tem example kbdinputstyle'
     in example example kbdinputstyle
     'vtable i--tem in example example kbdinputstyle'

   'distinct kbdinputstyle'
'vtable i--tem distinct kbdinputstyle'
     in example distinct kbdinputstyle
     'vtable i--tem in example distinct kbdinputstyle'

     A quot--ation

     Note: A Note

     note: A note

     Caution: Caution

     Important: Important

     Tip: a Tip

     Warning: a Warning.

     something é TeX: The something é TeX is here.

     @ at the end of line  : A @ at the end of the @quotation line.

     something, other thing: something, other thing

     Note, the note: Note, the note

     Empty:
     :

     :
     aaa quotation
                         -- _quotation author_

     indent in quotation

exdented quotation line and dash -- in quotation

     Not exdented followed by exdented
exdented quotation line

exdented quotation line
     Followed by not exdented

     quotation1
in exdented protected eol
     following
in exdented a @*
and following
     after exdented

     A small quot--ation

     Note: A small Note

     something, other thing: something, other thing

   * i-temize

   + i-tem +

   * b-ullet

   - minu-s

   _after emph_ e-mph item

   * a-n itemize line i-tem 1
   * a-n itemize line i-tem 2

     with w a-b
     with w c-d

    on a line line w a-b
    on a line line with w c-d

  1. e-numerate

  3. first third
  4. second third

  a. e-numerate

  c. first c
  d. second c

mu-ltitable headitem          another tab
--------------------------------------------------------------------------
mu-ltitable item              multitable tab
mu-ltitable item 2            multitable tab 2
lone mu-ltitable item

truc   bidule

     e--xample  some
        text

     example one arg

     example two args

     example three args

     example four args

     example five args

     The something é TeX is here.

     A @ at the end of the @example line.

     example with empty args

     example with empty and non empty args mix

     Exam---ple

Other li---ne
     not exdented

exdented  and dash --- in example
     Not exdented one
exdented two
     Not exdented two

     Example   Hoho.
          Nested Other line
     exdented nested other line

     s--mallexample

   '@noindent' after smallexample.
     $ wget 'http://savannah.gnu.org/cgi-bin/viewcvs/config/config/config.guess?rev=HEAD&content-type=text/plain'
     $ wget 'http://savannah.gnu.org/cgi-bin/viewcvs/config/config/config.sub?rev=HEAD&content-type=text/plain'
Less recent versions are also present.

     d-isplay

     s-malldisplay

     l--isp

     s--malllisp

f-ormat

s-mallformat

 -- c--ategory: d--effn_name a--rguments...
     d-effn

 -- cate--gory: de--ffn_name ar--guments more args
          even more so
     def-fn

 -- fset: I a g
 -- cmde: truc
 -- Command: log trap
 -- Command: log trap1
 -- Command: log trap2
 -- cmde: id ule truc
 -- cmde2: id i ule truc
 -- :
 -- : machin
 -- : bidule machin
 -- truc: machin
 -- truc:
 -- truc: followed by a comment
 -- :
 -- truc: a b c d e f g h i
 -- truc: deffnx before end deffn

 -- empty: deffn

 -- empty: deffn with deffnx
 -- empty: deffnx

 -- fset: I a g
 -- cmde: truc
     text in def item for second def item

 -- c--ategory: d--efvr_name
     d-efvr

 -- c--ategory: n--ame a--rguments...
     d-effn

 -- c--ategory: n--ame
     d-effn no arg

 -- c--ategory: t--ype d--eftypefn_name a--rguments...
     d-eftypefn

 -- c--ategory: t--ype d--eftypefn_name
     d-eftypefn no arg

 -- c--ategory on c--lass: t--ype d--eftypeop_name a--rguments...
     d-eftypeop

 -- c--ategory on c--lass: t--ype d--eftypeop_name
     d-eftypeop no arg

 -- c--ategory: t--ype d--eftypevr_name
     d-eftypevr

 -- c--ategory of c--lass: d--efcv_name
     d-efcv

 -- c--ategory of c--lass: d--efcv_name a--rguments...
     d-efcv with arguments

 -- c--ategory of c--lass: t--ype d--eftypecv_name
     d-eftypecv

 -- c--ategory of c--lass: t--ype d--eftypecv_name a--rguments...
     d-eftypecv with arguments

 -- c--ategory on c--lass: d--efop_name a--rguments...
     d-efop

 -- c--ategory on c--lass: d--efop_name
     d-efop no arg

 -- c--ategory: d--eftp_name a--ttributes...
     d-eftp

 -- Function: d--efun_name a--rguments...
     d-efun

 -- Macro: d--efmac_name a--rguments...
     d-efmac

 -- Special Form: d--efspec_name a--rguments...
     d-efspec

 -- Variable: d--efvar_name
     d-efvar

 -- Variable: d--efvar_name arg--var arg--var1
     d-efvar with args

 -- User Option: d--efopt_name
     d-efopt

 -- Function: t--ype d--eftypefun_name a--rguments...
     d-eftypefun

 -- Variable: t--ype d--eftypevar_name
     d-eftypevar

 -- Instance Variable of c--lass: d--efivar_name
     d-efivar

 -- Instance Variable of c--lass: t--ype d--eftypeivar_name
     d-eftypeivar

 -- Method on c--lass: d--efmethod_name a--rguments...
     d-efmethod

 -- Method on c--lass: t--ype d--eftypemethod_name a--rguments...
     d-eftypemethod

 -- Function:
          data-type2
          name2 arguments2...
     aaa2

 -- c--ategory2:
          t--ype2
          d--eftypefn_name2
     d-eftypefn no arg2

 -- c--ategory2 on c--lass2:
          t--ype2
          d--eftypeop_name2 a--rguments2...
     d-eftypeop2

 -- c--ategory2 on c--lass2:
          t--ype2
          d--eftypeop_name2
     d-eftypeop no arg2

 -- c--ategory2 of c--lass2: t--ype2 d--eftypecv_name2
     d-eftypecv2

 -- c--ategory2 of c--lass2: t--ype2 d--eftypecv_name2 a--rguments2...
     d-eftypecv with arguments2

 -- fun2: arg2
     fff2

   '@xref{c---hapter@@, cross r---ef name@@, t---itle@@, file n---ame@@,
ma---nual@@}' cross r--ef name@.
'@ref{chapter, cross ref name, title, file name, manual}' cross ref name.
'@pxref{chapter, cross ref name, title,
file name, manual}' cross ref name.
'@inforef{chapter, cross ref name, file name}' cross ref name.

   '@ref{chapter}' chapter '@xref{chapter}' chapter.
'@pxref{chapter}' chapter '@ref{s--ect@comma{}ion}'
s--ect,ion

   '@ref{s--ect@comma{}ion, a @comma{} in cross ref, a comma@comma{} in
title, a comma@comma{} in file, a @comma{} in manual name }' a , in cross ref,
ion^?.

   '@ref{chapter,cross ref name}' cross ref name.
'@ref{chapter,,title}' title. '@ref{chapter,,,file name}'
(file name)chapter '@ref{chapter,,,,manual}' ()chapter
'@ref{chapter,cross ref name,title,}' cross ref name.
'@ref{chapter,cross ref name,,file name}' cross ref name.
'@ref{chapter,cross ref name,,,manual}' cross ref name.
'@ref{chapter,cross ref name,title,file name}'
cross ref name. '@ref{chapter,cross ref
name,title,,manual}' cross ref name.
'@ref{chapter,cross ref name,title, file name, manual}' cross ref name.
'@ref{chapter,,title,file name}' title.
'@ref{chapter,,title,,manual}' title.
'@ref{chapter,,title, file name, manual}' title.
'@ref{chapter,,,file name,manual}' (file name)chapter

   '@ref{(pman)anode,cross ref name}' cross ref name (pman).
'@ref{(pman)anode,,title}' title (pman).
'@ref{(pman)anode,,,file name}' (file name)(pman)anode
'@ref{(pman)anode,,,,manual}' ()(pman)anode
'@ref{(pman)anode,cross ref name,title,}' cross ref name (pman).
'@ref{(pman)anode,cross ref name,,file name}' cross ref name.
'@ref{(pman)anode,cross ref
name,,,manual}' cross ref name.
'@ref{(pman)anode,cross ref name,title,file name}' cross ref name.
'@ref{(pman)anode,cross ref name,title,,manual}'
cross ref name. '@ref{(pman)anode,cross ref
name,title, file name, manual}' cross ref name.
'@ref{(pman)anode,,title,file name}' title.
'@ref{(pman)anode,,title,,manual}' title.
'@ref{(pman)anode,,title, file name, manual}'
title. '@ref{(pman)anode,,,file name,manual}'
(file name)(pman)anode

   '@inforef{chapter, cross ref name, file name}' cross ref name.
'@inforef{chapter}' chapter
'@inforef{chapter, cross ref name}' cross ref name.
'@inforef{chapter,,file name}' (file name)chapter
'@inforef{node, cross ref name, file name}' cross ref name.
'@inforef{node}' node '@inforef{node, cross ref
name}' cross ref name. '@inforef{node,,file name}'
(file name)node '@inforef{chapter, cross ref name, file name, spurious
arg}' cross ref name.

   '@inforef{s--ect@comma{}ion, a @comma{} in cross ref, a comma@comma{}
in file}' a , in cross ref,ion^?.

   'chapter'.

   See ^?cross ref with uref uref1 (href.com/index.html)^?:
(info file with uref3 uref3 (href://http/myhost.com/index3.html))ext.
See ^?cross ref with uref uref1 (href.com/index.html)^?:
chapter.

*a-strong*
     l-ine

a-asis
b
     l-ine

_a_
_b_
     l-ine

     Title
'a--code'
     Value-table code

     Title
'a--samp'
'a2--samp'
     Value-table samp

   c-artouche

                            Tit-le _of box_
   With title c-artouche

f-lushleft
more text

                                                            f-lushright
                                                              more text

                            ce-ntered line

   r-raggedright more text

\input texinfo @c -*-texinfo-*-

@c this file is used in tests in @verbatiminclude but not converted

@setfilename simplest.info

@node Top

This is a very simple texi manual @  <>.

@bye

in verbatim ''

majorheading
************

chapheading
***********

heading
=======

subheading
----------

subsubheading
.............

'@acronym{--a,an accronym @comma{} @enddots{}}' -a (an accronym , ...)
'@abbr{@'E--. @comma{}A., @'Etude--@comma{} @b{Autonome} }' É-. ,A.
(Étude-, Autonome) '@abbr{@'E--. @comma{}A.}' É-. ,A.

   '@math{--a@minus{} {\frac{1}{2}}}' --a- {\frac{1}{2}}

   Somehow invalid use of @,:
@, ̧
@,@"u ̧ü

   Invalid use of @':
@' ́
@'@"u ́ü

   '@|'

   @dotless{truc} truc @dotless{ij} ij '@dotless{--a}' -a '@dotless{a}'
a

   @U, without braces @U{}, with empty arg @U{z}, with non-hex arg U+z
@U{abc}, with <4 hex digits ઼ @U{FFFFFFFFFFFFFF}, value much too large
U+FFFFFFFFFFFFFF @U{110000}, value just beyond Unicode U+110000

   @TeX, but without brace TeX '@#' #

   '@w{--a}' -a

   '@image{,1--xt}'  '@image{,,2--xt}'  '@image{,,,3--xt}'

   '@image{f-ile,aze,,a--lt}' [a-lt] '@image{f-ile,,,alt@verb{:jk _" %}}' [altjk _" %@]

   '@image{f--ile}'  '@image{f--ile,,,alt}'  '@image{f--ile,,,,.e-d-xt}'
 '@image{f--ile,l--i}'  '@image{f--ile,,l--e}'
'@image{f--ile,aze,az,alt,.e--xt}'  '@image{f--ile,aze,az,alt,'
'@image{@file{f--ile}@@@.,aze,az,alt,@file{.file ext} e--xt@}' [alt]

   '@image{f--ile,aze,az,@verb{:jk _" %@:} @b{in b "},e--xt}'
'@image{file@verb{:jk _" %@:},,,alt@verb{:jk _" %@:}}' [altjk _" %@]

ü Ü ñ â é ō ì é Ḕ
Ḉ Ḉ a̋ ȧ å a͡
ă ǎ
 ? .

TeX LaTeX -!- å (R) °

t

   __ e-mph item

   __ after emph e-mph item

   * a-n itemize line i-tem 1
   * a-n itemize line i-tem 2

     without brace w a-b
     without brace w c-d

a
     l-ine

a-missing style formatting
     l-ine

a
b
     l-ine

 -- fun:
 -- truc: machin bidule chose and
 -- truc: machin bidule chose and after
 -- truc: machin bidule chose and
 -- truc: machin bidule chose and and after
 -- truc: followed by a comment
     Various deff lines
 -- truc: after a deff item

 -- fsetinv: INVALID a g
 -- id i ule:
 -- aaa:
 -- :
 -- truc:

   g-roupe

   '@ref{node}' node

   '@ref{,cross ref name}' cross ref name. '@ref{,,title}'
title. '@ref{,,,file name}' (file name) '@ref{,,,,manual}'
() '@ref{node,cross ref name}' cross ref name.
'@ref{node,,title}' title. '@ref{node,,,file name}'
(file name)node '@ref{node,,,,manual}' ()node '@ref{node,cross
ref name,title,}' cross ref name. '@ref{node,cross ref
name,,file name}' cross ref name.
'@ref{node,cross ref name,,,manual}' cross ref name.
'@ref{node,cross ref name,title,file name}' cross ref name.
'@ref{node,cross ref name,title,,manual}' cross ref name.
'@ref{node,cross ref name,title, file name, manual}'
cross ref name. '@ref{node,,title,file name}'
title. '@ref{node,,title,,manual}' title.
'@ref{chapter,,title, file name, manual}' title.
'@ref{node,,title, file name, manual}' title.
'@ref{node,,,file name,manual}' (file name)node
'@ref{,cross ref name,title,}' cross ref name. '@ref{,cross ref
name,,file name}' cross ref name. '@ref{,cross ref
name,,,manual}' cross ref name. '@ref{,cross ref
name,title,file name}' cross ref name. '@ref{,cross
ref name,title,,manual}' cross ref name. '@ref{,cross ref
name,title, file name, manual}' cross ref name.
'@ref{,,title,file name}' title.
'@ref{,,title,,manual}' title. '@ref{,,title, file name,
manual}' title. '@ref{,,,file name,manual}'
(file name)

   '@inforef{,cross ref name }' cross ref name. '@inforef{,,file
name}' (file name) '@inforef{,cross ref name, file name}'
cross ref name. '@inforef{}' *note ::

   In example.

     <
     >
     "
     &
     '
     `

     ``simple-double--three---four----''

     code: ``simple-double--three---four----''

     asis: ``simple-double--three---four----''

     strong: *``simple-double--three---four----''*

     kbd: ``simple-double--three---four----''

     ``simple-double--three---four----''

     @"u ü (ü)
     @"{U} Ü (Ü)
     @~n ñ (ñ)
     @^a â (â)

     @'e é (é)
     @=o ō (ō)
     @`i ì (ì)
     @'{e} é (é)

     @'{@dotless{i}} í (í)
     @dotless{i} ı (ı)
     @dotless{j} ȷ (ȷ)

     @H{a} a̋
     @dotaccent{a} ȧ (ȧ)
     @ringaccent{a} å (å)

     @tieaccent{a} a͡
     @u{a} ă (ă)
     @ubaraccent{a} a̲

     @udotaccent{a} ạ (ạ)
     @v{a} ǎ (ǎ)

     @,c ç (ç)
     @,{c} ç (ç)
     @ogonek{a} ą (ą)

     @`{@=E} Ḕ
     @l{} ł
     @,{@'C} Ḉ
     @,c@"u çü

     @H{--a} -a̋
     @dotaccent{--a} -ȧ
     @ringaccent{--a} -å

     @tieaccent{--a} -a͡
     @u{--a} -ă
     @ubaraccent{--a} -a̲

     @udotaccent{--a} -ạ
     @v{--a} -ǎ
     @,{--c} -ç
     @ogonek{--a} -ą

     @U{0075} u

     @*

     @ followed by a space

     @ followed by a tab

     @ followed by a new line
      @-
     @:
     @! !
     @? ?
     @. .
     @& &
     @@ @
     @} }
     @{ {
     @/

     foo vs. bar.
     colon :And something else.
     semi colon ;.
     And ? ?.
     Now ! !@
     but , ,

     @ampchar & (&)
     @atchar @ (@)
     @backslashchar \ (\)
     @hashchar # (#)
     @lbracechar { ({)
     @rbracechar } (})

     @TeX TeX
     @LaTeX LaTeX
     @bullet * (•)
     @copyright (C) (©)

     @dots ... (…)
     @enddots ...
     @equiv == (≡)

     @error error->
     @expansion ==> (↦)
     @minus - (−)

     @point -!- (⋆)
     @print -| (⊣)
     @result => (⇒)
     @today a sunny day

     @aa å (å)
     @AA Å (Å)
     @ae æ (æ)
     @oe œ (œ)
     @AE Æ (Æ)
     @OE Œ (Œ)
     @o ø (ø)
     @O Ø (Ø)
     @ss ß (ß)
     @l ł (ł)
     @L Ł (Ł)
     @DH Ð (Ð)
     @TH Þ (Þ)
     @dh ð (ð)
     @th þ (þ)

     @exclamdown ¡ (¡)
     @questiondown ¿ (¿)
     @pounds £ (£)
     @registeredsymbol (R) (®)
     @ordf ª (ª)
     @ordm º (º)
     @comma , (,)
     @quotedblleft " (“)
     @quotedblright " (”)
     @quoteleft ` (‘)
     @quoteright ' (’)
     @quotedblbase „ („)
     @quotesinglbase ‚ (‚)
     @guillemetleft « («)
     @guillemetright » (»)
     @guillemotleft « («)
     @guillemotright » (»)
     @guilsinglleft ‹ (‹)
     @guilsinglright › (›)

     @textdegree ° (°)
     @euro € (€)
     @arrow -> (→)

     @leq ≤ (≤)
     @geq ≥ (≥)
     @tie a b

     @acronym{--a,an accronym} --a (an accronym)
     @acronym{--a} --a
     @abbr{@'E--. @comma{}A., @'Etude Autonome } É--. ,A. (Étude Autonome)
     @abbr{@'E--. @comma{}A.} É--. ,A.
     @asis{--a} --a
     @b{--a} --a
     @cite{--a} '--a'
     @code{--a} --a
     @command{--a} --a
     @dfn{--a} "--a"
     @dmn{--a} --a
     @email{--a,--b} --b <--a>
     @email{,--b} --b
     @email{--a} <--a>
     @emph{--a} _--a_
     @env{--a} --a
     @file{--a} --a
     @i{--a} --a
     @kbd{--a} --a
     @key{--a} <--a>
     @math{--a {\frac{1}{2}} @minus{}} --a {\frac{1}{2}} -
     @option{--a} --a
     @r{--a} -a
     @samp{--a} '--a'
     @sc{--a} --A
     @strong{--a} *--a*
     @t{--a} --a
     @sansserif{--a} --a
     @slanted{--a} --a
     @titlefont{--a}
     -a
     **
     @indicateurl{--a} '--a'
     @uref{--a,--b} --b (--a)
     @uref{--a} <--a>
     @uref{,--b} --b
     @uref{--a,--b,--c} --c
     @uref{,--b,--c} --c
     @uref{--a,,--c} --c
     @uref{,,--c} --c
     @url{--a,--b} --b (--a)
     @url{--a,} <--a>
     @url{,--b} --b
     @var{--a} --A
     @verb{:--a:} --a
     @verb{:a  < & @ % " --    b:} a  < & @ % " --    b
     @w{a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a} a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a a
     a@sup{h}@sub{l} a^{h}_{l}
     @footnote{in footnote} (5)
     @footnote{in footnote2} (6)

     @sp 2

     @page

     need 1002

     @clicksequence{click @click{} A} click -> A
     After clickstyle =>
     @clicksequence{click @click{} A} click => A

     disp--laymath
     f(x) = {1 \over \sigma \sqrt{2\pi}}e^{-{1 \over 2}\left({x-\mu \over \sigma}\right)^2}

     *``simple-double--three---four----''* aa
     ``simple-double--three---four----''

     ı ȷ
     ł ç

     a̲ ạ ą a^{h}_{l}

            ! @ } {
     a sunny day

     ->
     u
     * (C) ... ... ==
     error-> ==> - -| =>
     Å æ œ Æ Œ ø Ø ß ł Ł Ð
     Þ ð þ ¡ ¿ £
     ª º ,

     " "
     ` ' „ ‚ «
     » « » ‹
     › € -> ≤ ≥

     b i r SC sansserif slanted

     default kbdinputstyle
     'vtable i--tem default kbdinputstyle'
          in example default kbdinputstyle
          'vtable i--tem in example default kbdinputstyle'

     code kbdinputstyle
     'vtable i--tem code kbdinputstyle'
          in example code kbdinputstyle
          'vtable i--tem in example code kbdinputstyle'

     example kbdinputstyle
     'vtable i--tem example kbdinputstyle'
          in example example kbdinputstyle
          'vtable i--tem in example example kbdinputstyle'

     distinct kbdinputstyle
     'vtable i--tem distinct kbdinputstyle'
          in example distinct kbdinputstyle
          'vtable i--tem in example distinct kbdinputstyle'

          A quot---ation

          Note: A Note

          note: A note

          Caution: Caution

          Important: Important

          Tip: a Tip

          Warning: a Warning.

          something é TeX: The something é TeX is here.

          @ at the end of line  : A @ at the end of the @quotation line.

          something, other thing: something, other thing

          Note, the note: Note, the note

          Empty:
          :

          :
          aaa quotation
                         -- _quotation author_

          indent in quotation

     exdented quotation line   and dash --- in quotation

          Not exdented followed by exdented
     exdented quotation line

     exdented quotation line
          Followed by not exdented

          quotation1
     in exdented protected eol
          following
     in exdented a @*
      and following
          after exdented

          A small quot---ation

          Note: A small Note

          something, other thing: something, other thing

        * i--temize

        + i--tem +

        * b--ullet

        - minu--s

        _after emph_ e--mph item

        * a-n itemize line i--tem 1
        * a-n itemize line i--tem 2

          with w a--b
          with w c--d

         on a line line w a--b
         on a line line with w c--d

       1. e--numerate

       3. first third
       4. second third

       a. e--numerate

       c. first c
       d. second c

     mu--ltitable headitem         another tab
     --------------------------------------------------------------------------
     mu--ltitable item             multitable tab
     mu--ltitable item 2           multitable tab 2
     lone mu--ltitable item

     truc   bidule

          e--xample  some
             text

          example one arg

          example two args

          example three args

          example four args

          example five args

          The something é TeX is here.

          A @ at the end of the @example line.

          example with empty args

          example with empty and non empty args mix

          Exam---ple

     Other li---ne
          not exdented

     exdented  and dash --- in example
          Not exdented one
     exdented two
          Not exdented two

          Example   Hoho.
               Nested Other line
          exdented nested other line

          s--mallexample

     @noindent after smallexample.
          $ wget 'http://savannah.gnu.org/cgi-bin/viewcvs/config/config/config.guess?rev=HEAD&content-type=text/plain'
          $ wget 'http://savannah.gnu.org/cgi-bin/viewcvs/config/config/config.sub?rev=HEAD&content-type=text/plain'
     Less recent versions are also present.

          d--isplay

          s--malldisplay

          l--isp

          s--malllisp

     f--ormat

     s--mallformat

      -- c--ategory: d--effn_name a--rguments...
          d--effn

      -- cate--gory: de--ffn_name ar--guments more args
               even more so
          def--fn

      -- fset: I a g
      -- cmde: truc
      -- Command: log trap
      -- Command: log trap1
      -- Command: log trap2
      -- cmde: id ule truc
      -- cmde2: id i ule truc
      -- :
      -- : machin
      -- : bidule machin
      -- truc: machin
      -- truc:
      -- truc: followed by a comment
      -- :
      -- truc: a b c d e f g h i
      -- truc: deffnx before end deffn

      -- empty: deffn

      -- empty: deffn with deffnx
      -- empty: deffnx

      -- fset: I a g
      -- cmde: truc
          text in def item for second def item

      -- c--ategory: d--efvr_name
          d--efvr

      -- c--ategory: n--ame a--rguments...
          d--effn

      -- c--ategory: n--ame
          d--effn no arg

      -- c--ategory: t--ype d--eftypefn_name a--rguments...
          d--eftypefn

      -- c--ategory: t--ype d--eftypefn_name
          d--eftypefn no arg

      -- c--ategory on c--lass: t--ype d--eftypeop_name a--rguments...
          d--eftypeop

      -- c--ategory on c--lass: t--ype d--eftypeop_name
          d--eftypeop no arg

      -- c--ategory: t--ype d--eftypevr_name
          d--eftypevr

      -- c--ategory of c--lass: d--efcv_name
          d--efcv

      -- c--ategory of c--lass: d--efcv_name a--rguments...
          d--efcv with arguments

      -- c--ategory of c--lass: t--ype d--eftypecv_name
          d--eftypecv

      -- c--ategory of c--lass: t--ype d--eftypecv_name a--rguments...
          d--eftypecv with arguments

      -- c--ategory on c--lass: d--efop_name a--rguments...
          d--efop

      -- c--ategory on c--lass: d--efop_name
          d--efop no arg

      -- c--ategory: d--eftp_name a--ttributes...
          d--eftp

      -- Function: d--efun_name a--rguments...
          d--efun

      -- Macro: d--efmac_name a--rguments...
          d--efmac

      -- Special Form: d--efspec_name a--rguments...
          d--efspec

      -- Variable: d--efvar_name
          d--efvar

      -- Variable: d--efvar_name arg--var arg--var1
          d--efvar with args

      -- User Option: d--efopt_name
          d--efopt

      -- Function: t--ype d--eftypefun_name a--rguments...
          d--eftypefun

      -- Variable: t--ype d--eftypevar_name
          d--eftypevar

      -- Instance Variable of c--lass: d--efivar_name
          d--efivar

      -- Instance Variable of c--lass: t--ype d--eftypeivar_name
          d--eftypeivar

      -- Method on c--lass: d--efmethod_name a--rguments...
          d--efmethod

      -- Method on c--lass: t--ype d--eftypemethod_name a--rguments...
          d--eftypemethod

      -- Function:
               data-type2
               name2 arguments2...
          aaa2

      -- c--ategory2:
               t--ype2
               d--eftypefn_name2
          d--eftypefn no arg2

      -- c--ategory2 on c--lass2:
               t--ype2
               d--eftypeop_name2 a--rguments2...
          d--eftypeop2

      -- c--ategory2 on c--lass2:
               t--ype2
               d--eftypeop_name2
          d--eftypeop no arg2

      -- c--ategory2 of c--lass2: t--ype2 d--eftypecv_name2
          d--eftypecv2

      -- c--ategory2 of c--lass2: t--ype2 d--eftypecv_name2
               a--rguments2...
          d--eftypecv with arguments2

      -- fun2: arg2
          fff2

     @xref{c---hapter@@, cross r---ef name@@, t---itle@@, file n---ame@@, ma---nual@@} cross r---ef name@.
     @ref{chapter, cross ref name, title, file name, manual} cross ref name.
     @pxref{chapter, cross ref name, title, file name, manual} cross ref name.
     @inforef{chapter, cross ref name, file name} cross ref name.

     @ref{chapter} chapter
     @xref{chapter} chapter.
     @pxref{chapter} chapter
     @ref{s--ect@comma{}ion} s--ect,ion

     @ref{s--ect@comma{}ion, a @comma{} in cross
     ref, a comma@comma{} in title, a comma@comma{} in file, a @comma{} in manual name }
     a , in cross ref,
     ion^?.

     @ref{chapter,cross ref name} cross ref name.
     @ref{chapter,,title} title.
     @ref{chapter,,,file name} (file name)chapter
     @ref{chapter,,,,manual} ()chapter
     @ref{chapter,cross ref name,title,} cross ref name.
     @ref{chapter,cross ref name,,file name} cross ref name.
     @ref{chapter,cross ref name,,,manual} cross ref name.
     @ref{chapter,cross ref name,title,file name} cross ref name.
     @ref{chapter,cross ref name,title,,manual} cross ref name.
     @ref{chapter,cross ref name,title, file name, manual} cross ref name.
     @ref{chapter,,title,file name} title.
     @ref{chapter,,title,,manual} title.
     @ref{chapter,,title, file name, manual} title.
     @ref{chapter,,,file name,manual} (file name)chapter

     @ref{(pman)anode,cross ref name} cross ref name (pman).
     @ref{(pman)anode,,title} title (pman).
     @ref{(pman)anode,,,file name} (file name)(pman)anode
     @ref{(pman)anode,,,,manual} ()(pman)anode
     @ref{(pman)anode,cross ref name,title,} cross ref name (pman).
     @ref{(pman)anode,cross ref name,,file name} cross ref name.
     @ref{(pman)anode,cross ref name,,,manual} cross ref name.
     @ref{(pman)anode,cross ref name,title,file name} cross ref name.
     @ref{(pman)anode,cross ref name,title,,manual} cross ref name.
     @ref{(pman)anode,cross ref name,title, file name, manual} cross ref name.
     @ref{(pman)anode,,title,file name} title.
     @ref{(pman)anode,,title,,manual} title.
     @ref{(pman)anode,,title, file name, manual} title.
     @ref{(pman)anode,,,file name,manual} (file name)(pman)anode

     @inforef{chapter, cross ref name, file name} cross ref name.
     @inforef{chapter} chapter
     @inforef{chapter, cross ref name} cross ref name.
     @inforef{chapter,,file name} (file name)chapter
     @inforef{node, cross ref name, file name} cross ref name.
     @inforef{node} node
     @inforef{node, cross ref name} cross ref name.
     @inforef{node,,file name} (file name)node
     @inforef{chapter, cross ref name, file name, spurious arg} cross ref name.

     @inforef{s--ect@comma{}ion, a @comma{} in cross
     ref, a comma@comma{} in file}
     a , in cross ref,
     ion^?.

     'chapter'.

     See ^?cross ref with uref uref1 (href.com/index.html)^?: (info file with uref3 uref3 (href://http/myhost.com/index3.html))ext.
     See ^?cross ref with uref uref1 (href.com/index.html)^?: chapter.

     *a-strong*
          l--ine

     a-asis
     b
          l--ine

     _a_
     _b_
          l--ine

          Title
     'a--code'
          Value--table code

          Title
     'a--samp'
     'a2--samp'
          Value--table samp

     c--artouche

                            Tit-le _of box_
          With title c--artouche

     f--lushleft
     more text

                                                           f--lushright
                                                              more text

                            ce-ntered line

     r--raggedright
     more text

     \input texinfo @c -*-texinfo-*-

     @c this file is used in tests in @verbatiminclude but not converted

     @setfilename simplest.info

     @node Top

     This is a very simple texi manual @  <>.

     @bye

     in verbatim ''

     majorheading
     ************

     chapheading
     ***********

     heading
     =======

     subheading
     ----------

     subsubheading
     .............

     @acronym{--a,an accronym @comma{} @enddots{}} --a (an accronym , ...)
     @abbr{@'E--. @comma{}A., @'Etude--@comma{} @b{Autonome} } É--. ,A. (Étude--, Autonome)
     @abbr{@'E--. @comma{}A.} É--. ,A.

     @math{--a@minus{} {\frac{1}{2}}} --a- {\frac{1}{2}}

     Somehow invalid use of @,:

     @, ̧

     @,@"u ̧ü

     Invalid use of @':

     @' ́

     @'@"u ́ü

     @|

     @dotless{truc} truc
     @dotless{ij} ij
     @dotless{--a} -a
     @dotless{a} a

     @U, without braces @U{}, with empty arg
     @U{z}, with non-hex arg U+z
     @U{abc}, with <4 hex digits ઼
     @U{FFFFFFFFFFFFFF}, value much too large U+FFFFFFFFFFFFFF
     @U{110000}, value just beyond Unicode U+110000

     @TeX, but without brace TeX
     @# #

     @w{--a} --a

     @image{,1--xt}
     @image{,,2--xt}
     @image{,,,3--xt}

     @image{f-ile,aze,,a--lt} [a-lt]
     @image{f-ile,,,alt@verb{:jk _" %}} [altjk _" %@]

     @image{f--ile}
     @image{f--ile,,,alt}
     @image{f--ile,,,,.e-d-xt}
     @image{f--ile,l--i}
     @image{f--ile,,l--e}
     @image{f--ile,aze,az,alt,.e--xt}
     @image{f--ile,aze,az,alt,
     @image{@file{f--ile}@@@.,aze,az,alt,@file{.file ext} e--xt@} [alt]

     @image{f--ile,aze,az,@verb{:jk _" %@:} @b{in b "},e--xt}
     @image{file@verb{:jk _" %@:},,,alt@verb{:jk _" %@:}} [altjk _" %@]

     ü Ü ñ â é ō ì é Ḕ
     Ḉ Ḉ a̋ ȧ å a͡
     ă ǎ
      ? .

     TeX LaTeX -!- å (R) °

     t

        __ e--mph item

        __ after emph e--mph item

        * a-n itemize line i--tem 1
        * a-n itemize line i--tem 2

          without brace w a--b
          without brace w c--d

     a
          l--ine

     a-missing style formatting
          l--ine

     a
     b
          l--ine

      -- fun:
      -- truc: machin bidule chose and
      -- truc: machin bidule chose and after
      -- truc: machin bidule chose and
      -- truc: machin bidule chose and and after
      -- truc: followed by a comment
          Various deff lines
      -- truc: after a deff item

      -- fsetinv: INVALID a g
      -- id i ule:
      -- aaa:
      -- :
      -- truc:

     g--roupe

     @ref{node} node

     @ref{,cross ref name} cross ref name.
     @ref{,,title} title.
     @ref{,,,file name} (file name)
     @ref{,,,,manual} ()
     @ref{node,cross ref name} cross ref name.
     @ref{node,,title} title.
     @ref{node,,,file name} (file name)node
     @ref{node,,,,manual} ()node
     @ref{node,cross ref name,title,} cross ref name.
     @ref{node,cross ref name,,file name} cross ref name.
     @ref{node,cross ref name,,,manual} cross ref name.
     @ref{node,cross ref name,title,file name} cross ref name.
     @ref{node,cross ref name,title,,manual} cross ref name.
     @ref{node,cross ref name,title, file name, manual} cross ref name.
     @ref{node,,title,file name} title.
     @ref{node,,title,,manual} title.
     @ref{chapter,,title, file name, manual} title.
     @ref{node,,title, file name, manual} title.
     @ref{node,,,file name,manual} (file name)node
     @ref{,cross ref name,title,} cross ref name.
     @ref{,cross ref name,,file name} cross ref name.
     @ref{,cross ref name,,,manual} cross ref name.
     @ref{,cross ref name,title,file name} cross ref name.
     @ref{,cross ref name,title,,manual} cross ref name.
     @ref{,cross ref name,title, file name, manual} cross ref name.
     @ref{,,title,file name} title.
     @ref{,,title,,manual} title.
     @ref{,,title, file name, manual} title.
     @ref{,,,file name,manual} (file name)

     @inforef{,cross ref name } cross ref name.
     @inforef{,,file name} (file name)
     @inforef{,cross ref name, file name} cross ref name.
     @inforef{} *note ::

   Text(7)

   truc

   codeidx

   cp

   fn

   vr

   ky

   pg

   tp

   (8)

Menu comment
"simple-double-three--four---"

   ---------- Footnotes ----------

   (1) in footnote

   (2) in footnote2

   (3) in footnote

   (4) in footnote2

   (5) in footnote

   (6) in footnote2

   (7) in footnote

   Blah

   Blih

   (8) in footnote

1.1 A section
=============

In detailmenu

1.1.1 subsection
----------------

1.1.1.1 subsubsection "simple-double-
.....................................

1.1.1.2 three--four---"
.......................